Skip to main content
GET
/
orders
List orders
curl --request GET \
  --url https://api.sentralbee.app/v1/orders \
  --header 'Authorization: Bearer <token>'
{
  "page": 123,
  "size": 123,
  "total": 123,
  "total_pages": 123,
  "has_next_page": true,
  "has_previous_page": true,
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "order_number": "<string>",
      "status": "<string>",
      "payment_status": "<string>",
      "fulfillment_status": "<string>",
      "sales_channel": "<string>",
      "currency": "<string>",
      "customer": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "email": "jsmith@example.com"
      },
      "items": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "title": "<string>",
          "sku": "<string>",
          "quantity": 123,
          "unit_price": 123,
          "total_price": 123
        }
      ],
      "subtotal_price": 123,
      "total_shipping": 123,
      "total_tax": 123,
      "total_discount": 123,
      "total_price": 123,
      "total_items": 123,
      "shipping_address": {},
      "note": "<string>",
      "order_datetime": "2023-11-07T05:31:56Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://sentralbee.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Workspace API key. The workspace is derived from the key.

Query Parameters

page
integer
default:1
Required range: x >= 1
limit
integer
default:20
Required range: 1 <= x <= 100

Response

A page of orders

page
integer
size
integer
total
integer
total_pages
integer
has_next_page
boolean
has_previous_page
boolean
items
object[]